class loadingView
{
    constructor() 
	{
		this.sOS = conchConfig.getOS();
		if (this.sOS == "Conch-ios")
		{
			this.bridge = PlatformClass.createClass("JSBridge");
		}
		else if (this.sOS == "Conch-android")
		{
			this.bridge = PlatformClass.createClass("demo.JSBridge");
		}
    }
    set loadingAutoClose(value) 
	{
        this._loadingAutoClose = value;
    }
	get loadingAutoClose()
	{
		return this._loadingAutoClose;
	}
	set showTextInfo(value) 
	{
        this._showTextInfo = value;
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("showTextInfo:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("showTextInfo",value);
			}
		}
    }
	get showTextInfo()
	{
		return this._showTextInfo;
	}
	bgColor(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("bgColor:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("bgColor",value);
			}
		}
	}
	setFontColor(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("setFontColor:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("setFontColor",value);
			}
		}
	}
	setTips(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("setTips:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("setTips",value);
			}
		}
	}
	loading(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("loading:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("loading",value);
			}
		}
	}
	hideLoadingView()
	{
		this.bridge.call("hideSplash");
	}
	sendError(errorMsg)
	{
	        if(this.bridge)
    		{
                if (this.sOS == "Conch-ios")
                {
                    this.bridge.call("errorMsg:",errorMsg);
                }
                else if(this.sOS == "Conch-android")
                {
                    this.bridge.call("errorMsg",errorMsg);
                }
    		}
	}
}
window.loadingView = new loadingView();
window.onLayaInitError=function(e)
{

	console.log("onLayaInitError error=" + e);
	alert("加载游戏失败，可能由于您的网络不稳定，请退出重进");
	window.loadingView.sendError("onLayaInitError:" + e)
}
if(window.loadingView)
{
    window.loadingView.loadingAutoClose=false;//true代表当动画播放完毕，自动进入游戏。false为开发者手动控制
    window.loadingView.bgColor("#000000");//设置背景颜色
    window.loadingView.setFontColor("#ffffff");//设置字体颜色
    window.loadingView.setTips([
     "首次加载时间稍长，请耐心等待",
     "正在叫醒皮卡丘……",
     "正在让小火龙烤肉……",
     "正在找杰尼龟的墨镜……",
     "正在摸可达鸭的脑袋……",
     "正在找大葱鸭的大葱……",
     "正在给卡蒂狗洗澡……",
     "正在给菊草叶洗澡……",
     "正在给电击怪充电……",
     "正在给小锯鳄刷牙……",
     "正在喂卡比兽吃早餐……",
     "正在哄皮皮睡觉……"

    ]);//设置tips数组，会随机出现

    window.loadingView.showTextInfo = false;
}

